import 'package:fish_redux/fish_redux.dart';
import 'package:flutter_livepush_demo/page/camera_push/camera_push_effect.dart';
import 'package:flutter_livepush_demo/page/camera_push/camera_push_reducer.dart';

import 'camera_push_state.dart';
import 'camera_push_view.dart';

class CameraPushPage extends Page<CameraPushState, Map<String, dynamic>> {
  CameraPushPage()
      : super(
          initState: initState,
          effect: buildEffect(),
          reducer: buildReducer(),
          view: buildView,
          dependencies: Dependencies<CameraPushState>(
            adapter: null,
            slots: <String, Dependent<CameraPushState>>{},
          ),
          middleware: <Middleware<CameraPushState>>[],
        );
}
