import 'package:fish_redux/fish_redux.dart';

class HomeState implements Cloneable<HomeState> {
  String sdkVersion = '';
  final List<HomeTab> tabs = [
    HomeTab(ModelType.cameraPush,"assets/images/ic_camera_push.png", "camera_push"),
    HomeTab(ModelType.interactiveLive,"assets/images/ic_interactive.png", "interactive_live"),
    HomeTab(ModelType.interactivePK,"assets/images/ic_pk.png", "interactive_pk"),
  ];

  @override
  HomeState clone() => HomeState();
}

HomeState initState(Map<String, dynamic> args) {
  return HomeState();
}

class HomeTab {
  ModelType modelType = ModelType.cameraPush;
  String iconPath = '';
  String title = '';

  HomeTab(this.modelType,this.iconPath, this.title);
}

enum ModelType{
  cameraPush,
  interactiveLive,
  interactivePK
}