import 'package:fish_redux/fish_redux.dart';
import 'package:flutter_livepush_demo/page/home/home_view.dart';

import 'home_effect.dart';
import 'home_reducer.dart';
import 'home_state.dart';

class HomePage extends Page<HomeState, Map<String, dynamic>> {
  HomePage()
      : super(
          initState: initState,
          effect: buildEffect(),
          reducer: buildReducer(),
          view: buildView,
          dependencies: Dependencies<HomeState>(
            adapter: null,
            slots: <String, Dependent<HomeState>>{},
          ),
          middleware: <Middleware<HomeState>>[],
        );
}
