import 'package:fish_redux/fish_redux.dart';
import 'package:flutter_livepush_demo/page/home/home_action.dart';
import 'package:flutter_livepush_demo/page/home/home_state.dart';

Reducer<HomeState> buildReducer() {
  return asReducer(
    <Object, Reducer<HomeState>>{
      HomeAction.getSDKVersion: _getSDKVersion,
      HomeAction.clickCameraPush: _onClickCameraPush,
    },
  );
}

HomeState _getSDKVersion(HomeState state, Action action) {
  final HomeState newState = state.clone();
  newState.sdkVersion = action.payload;
  return newState;
}

HomeState _onClickCameraPush(HomeState state, Action action) {
  final HomeState newState = state.clone();
  return newState;
}
